Bug 52171 - [gallium/r600/clover] Simple benchmarks failed to run
Summary: [gallium/r600/clover] Simple benchmarks failed to run
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: git
Hardware: Other Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-16 22:22 UTC by Alexey Shvetsov
Modified: 2013-11-18 20:11 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Fix (1.65 KB, patch)
2013-11-16 00:10 UTC, Tom Stellard
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Shvetsov 2012-07-16 22:22:14 UTC
I get benchmarks from here 
http://www.bealto.com/gpu-benchmarks.html
CPU ones runs fine while all gpu benchmarks failed with:

Build failed, errors:
clGetProgramInfo NUM_DEVICES failed

HW is 01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Turks [Radeon HD 6670]
Comment 1 Tom Stellard 2013-11-16 00:10:47 UTC
Created attachment 89298 [details] [review]
Fix

This patch should fix the error.
Comment 2 Tom Stellard 2013-11-18 20:11:44 UTC
Fixed in mesa master by a84dd2398f75c672293122408828ac66bb7052a0


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.